<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddReferencesID2 Method (IEdmAddCustomRefs2)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmAddCustomRefs2 Interface : AddReferencesID2 Method (IEdmAddCustomRefs2)

Visual Basic
C#
C++/CLI

lRootFile
  ID of file to which to add file references

ppoReferences
  Array of EdmSelItems containing file references to add to lRootFile

plQuantity
  Array of times that the files in ppoReferences are referenced in lRootFile

Adds file references by ID and quantity.

# Syntax

Visual Basic |
--- | ---

    Sub AddReferencesID2( _
       ByVal lRootFile As System.Integer, _
       ByRef ppoReferences() As EdmSelItem, _
       ByRef plQuantity() As System.Integer _
    )

C# |
--- | ---

    void AddReferencesID2(
       System.int lRootFile,
       ref EdmSelItem[] ppoReferences,
       ref System.int[] plQuantity
    )

C++/CLI |
--- | ---

    void AddReferencesID2(
    &   System.int lRootFile,
    &   array<EdmSelItem>^% ppoReferences,
    &   System.array<int>^% plQuantity
    )

#### Parameters

lRootFile
  ID of file to which to add file references
ppoReferences
  Array of EdmSelItems containing file references to add to lRootFile
plQuantity
  Array of times that the files in ppoReferences are referenced in lRootFile

# Remarks

This method supersedes IEdmAddCustomRefs::AddReferencesID, which adds reference files only by ID.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmAddCustomRefs2 Interface
IEdmAddCustomRefs2 Members

# Availability

Version 2013 of SOLIDWORKS PDM Professional